Subject: bug#19931: 24.4; Support for OS X press and hold

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Dec 2020 10:38:52 +0200

> And if that is patented (like the right swipe) then no other system will
> be implementing it. Probably, we can think of something better to
> achieve the same goal. And make it portably available to all.
>
> One idea:
>
> A new input-method: accented-cycle (C-u C-\ "accented-cycle" RET).
>
> Once you have this input-method selected, then repeating same key will
> cycle through the accented options. Ofcourse sometimes it is useful to
> cut off input method so that instead of cycling you just repeat the same
> character in the typed text. This is already very well documented in the
> "(emacs) 22.3 Input Method".
>
> Also, the newly added "transient" input method will also be added help.
>
> So, why "press and hold" when you can simply "glide".

I don't know how "Press and hold" works on OS X, but it seems it's like
on some smartphone screen virtual keyboards holding down a letter pops up
a list of suggestions with accented letters.  But any postfix input method
in Emacs already works the same way, for example:

  C-\ latin-1-postfix
  a

displays a list of possible accents to select.